# image: texlive/texlive:latest

# build:
#   stage: build
#   script:
#     - arara exemple.tex
#   artifacts:
#     paths:
#       - build

# publish:
#   stage: deploy
#   before_script:
#     - git remote set-url origin https://oauth2:${CI_COMMIT_OAUTH}@forge.apps.education.fr/${CI_PROJECT_NAMESPACE}/${CI_PROJECT_NAME}.git
#     - git config --global user.email '${GITLAB_USER_EMAIL}'
#     - git config --global user.name '${GITLAB_USER_ID}'
#   script:
#     - git checkout -B main
#     - git add *.pdf
#     - git commit -m "[skip ci] Ajout de l'exemple construit"
    # - git push --follow-tags origin main


compile_pdf:
  stage: build
  image: texlive/texlive:latest
  script: arara exemple.tex  
  artifacts:
    paths: 
      - exemple.pdf 

pages:
  stage: deploy
  script:
    - mkdir public  # create a folder called public
    - cp exemple.pdf public  # copy the pdf file into the public folder
  artifacts:
    paths: 
      - public  # instruct GitLab to keep the public folder
  only: 
    - main  # deploy the pdf only for commits made to the main branch 